% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/RcppExports.R
\name{calcBelongMatrix}
\alias{calcBelongMatrix}
\title{Calculate the membership matrix}
\usage{
calcBelongMatrix(centers, data, m, sigmas)
}
\arguments{
\item{centers}{A matrix or a dataframe representing the centers of the
clusters with p columns and k rows}

\item{data}{A dataframe or matrix representing the observed data with n rows
and p columns}

\item{m}{A float representing the fuzziness degree}

\item{sigmas}{A numeric vector for calculating the robust version of the FCM. Filled with ones
if the classical version is required}
}
\value{
A n * k matrix representing the probability of belonging of each
   observation to each cluster
}
\description{
Calculate the membership matrix according to a set of centroids, the observed
 data and the fuzziness degree
}
\keyword{internal}
